2019-12-14 19:17 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000319Spring engineGeneralpublic2006-11-02 11:26
Reporterpeter 
Assigned Totvo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000319: Underwater units invisible, and buildings can overlap them.
DescriptionIn Spring 0.73b1, with AA 2.23, on Ubuntu (Dapper), underwater buildings and units (like UWMEX) are undetectable even with LOS + Sonar coverage.

see screenshots at http://cordes.ca/~peter/spring/bugs/
Here I've build a dragon's eye on top of a UWMEX. You can see the bubbles swirling from it, but it's undetectable. (pic attached to this bug report). The shot where you can see both overlapping is in .spectator mode. This was at the end of a game against AAI 0.76. The shot with the gimps is after self-destructing the dragon's eye.

 IIRC, I tested this with the "commanders" script, and .team 1 .give CORSSUB (a Leviathan, which has sonar). Team 1's Leviathan couldn't see Team 0's commander. Weird stuff.

 I tested with XTAv7, and I noticed that a Leviathan can see a Leviathan, but not a commander. So units sitting on the bottom seem to be the problem.
Additional InformationIf this is actually a mod problem, then I guess it doesn't belong here and should be forwarded to the mod makers.

 If this is caused by the sonar jam map bug, then I guess you should just close this bug when you release a version with a fix. No sonar jammers were in use in the game; I and the AI were core, in case that affects the bug. (I used .give corcom at the start of the game, and ignored my starting arm commander.)
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0000420

tvo (reporter)

I'm assuming this is caused by the uninitialized commonSonarJammerMap bug. (sonar is (randomly) jammed at the invisible subs/uw buildings)

Closing it now already, we have the habit of closing things when fixed; not when the fix is released. If it happens too with newest SVN or with version 0.73b2, file a new bug linking to this one.
+Notes

-Issue History
Date Modified Username Field Change
2006-10-31 04:01 peter New Issue
2006-10-31 04:01 peter File Added: uwmex-overlap2.jpg
2006-11-02 11:24 tvo Status new => assigned
2006-11-02 11:24 tvo Assigned To => tvo
2006-11-02 11:26 tvo Status assigned => resolved
2006-11-02 11:26 tvo Resolution open => fixed
2006-11-02 11:26 tvo Note Added: 0000420
+Issue History